%% plots diff. stress vs. Pc at elastic & steady state intersection

figure
plot(pcRUN_stiffness,stressRUNP_stiffness-pcRUN_stiffness,'.k','MarkerSize',30)
hold on

plot(pc1_290,stress1P_290-pc1_290,'.b','MarkerSize',30)
plot(pc2_290,stress2P_290-pc2_290,'.b','MarkerSize',30)
plot(pcRUN_290,stressRUNP_290-pcRUN_290,'.r','MarkerSize',30)
%plot(pcHP_290,stressHPP_290-pcHP_290,'.r','MarkerSize',30)

plot(pc1_289,stress1P_289-pc1_289,'xb','MarkerSize',10)
plot(pc2_289,stress2P_289-pc2_289,'xb','MarkerSize',10)
plot(pcRUN_289,stressRUNP_289-pcRUN_289,'xr','MarkerSize',10)
%plot(pcHP_289,stressHPP_289-pcHP_289,'xr','MarkerSize',30)

plot(pc1_284,stress1P_284-pc1_284,'<b','MarkerSize',10)
plot(pc2_284,stress2P_284-pc2_284,'<b','MarkerSize',10)
plot(pcRUN_284,stressRUNP_284-pcRUN_284,'<r','MarkerSize',10)
%plot(pcHP_284,stressHPP_284-pcHP_284,'xr','MarkerSize',30)

plot(pc1_282,stress1P_282-pc1_282,'+b','MarkerSize',10)
plot(pc2_282,stress2P_282-pc2_282,'+b','MarkerSize',10)
plot(pcRUN_282,stressRUNP_282-pcRUN_282,'+r','MarkerSize',10)
%plot(pcHP_282,stressHPP_282-pcHP_282,'xr','MarkerSize',30)

plot(pc1_266,stress1P_266-pc1_266,'+g','MarkerSize',10)
plot(pc2_266,stress2P_266-pc2_266,'+g','MarkerSize',10)
plot(pcRUN_266,stressRUNP_266-pcRUN_266,'+r','MarkerSize',10)
%plot(pcHP_266,stressHPP_266-pcHP_266,'xr','MarkerSize',30)

plot(pc1_255,stress1P_255-pc1_255,'xk','MarkerSize',10)
plot(pc2_255,stress2P_255-pc2_255,'xk','MarkerSize',10)
plot(pcRUN_255,stressRUNP_255-pcRUN_255,'xr','MarkerSize',10)
%plot(pcHP_255,stressHPP_255-pcHP_255,'xr','MarkerSize',30)

xlabel('Pc (MPa)');
ylabel('differential stress [piston area] (MPa)')


%% slope of run in curve vs. distance to HP

figure
plot(distancetoHP_stiffness,fitRUNs_stiffness(1,1),'.k','MarkerSize',30)
hold on
plot(distancetoHP_290,fitRUNs_290(1,1),'.b','MarkerSize',30)
plot(distancetoHP_289,fitRUNs_289(1,1),'xr','MarkerSize',10)
plot(distancetoHP_284,fitRUNs_284(1,1),'<k','MarkerSize',10)
plot(distancetoHP_282,fitRUNs_282(1,1),'<g','MarkerSize',10)
plot(distancetoHP_266,fitRUNs_266(1,1),'+r','MarkerSize',10)
plot(distancetoHP_255,fitRUNs_255(1,1),'xg','MarkerSize',10)

xlabel('distance to HP (mm)');
ylabel('slope of run-in curve (kN/mm)')

%% rig stiffnes depending on Pc

figure
plot(pcMPa_stiffness,deltamm_zero_stiffness,'k','LineWidth',4)
hold on
plot(pcMPa_290,deltamm_zero_290,'y')
plot(pcMPa_289,deltamm_zero_289,'r')
plot(pcMPa_284,deltamm_zero_284,'b')
plot(pcMPa_282,deltamm_zero_282,'g')
plot(pcMPa_266,deltamm_zero_266,'r')
plot(pcMPa_255,deltamm_zero_255,'b')
title('DC-DT vs. DLT');
xlabel('confining pressure (MPa)');
ylabel('DC-DT - DLT (mm)');

%% rig stiffnes depending on F

figure
plot(fkN_stiffness,deltamm_zero_stiffness,'k','LineWidth',4)
hold on
plot(fkN_290,deltamm_zero_290,'y')
plot(fkN_289,deltamm_zero_289,'r')
plot(fkN_284,deltamm_zero_284,'b')
plot(fkN_282,deltamm_zero_282,'g')
plot(fkN_266,deltamm_zero_266,'r')
plot(fkN_255,deltamm_zero_255,'b')
title('DC-DT vs. DLT');
xlabel('Force (kN)');
ylabel('rig extension (mm)');

%% elastic force slope vs. max force

figure
plot(fitFStiff_stiffness(1,1),88.376,'.k','MarkerSize',30)
hold on
plot(fitFStiff_290(1,1),81.76,'.b','MarkerSize',30)
plot(fitFStiff_289(1,1),82.3267,'xr','MarkerSize',10)
plot(fitFStiff_284(1,1),83.7303,'<k','MarkerSize',10)
plot(fitFStiff_282(1,1),93.0841,'<g','MarkerSize',10)
plot(fitFStiff_266(1,1),133.0748,'+r','MarkerSize',10)
plot(fitFStiff_266(1,1),109.0672,'xb','MarkerSize',10)
title('elastic slope vs. max F');
xlabel('elastic slope (kN/mm');
ylabel('Force (kN)');

%% slope of run in curve vs. absolute distance of DLT
% figure
% plot(distancetoHP_290,fitRUNs_290(1,1),'.b','MarkerSize',30)
% hold on
% plot(distancetoHP_289,fitRUNs_289(1,1),'xb','MarkerSize',30)
% 
% xlabel('distance to HP (mm)');
% ylabel('slope of run-in curve (kN/mm)')



%% select rig extension due force

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(fkN,deltamm1,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitFStiff=polyfit(fkN(ix),deltamm1(ix),1);
elastic=fitFStiff(1,1)*fkN + fitFStiff(1,2);
plot(fkN,elastic,'--g','LineWidth',2);

%% select rig extension due force

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(fkN_290,deltamm_zero_290,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitFStiff_290=polyfit(fkN_290(ix),deltamm_zero_290(ix),1);
elastic=fitFStiff_290(1,1)*fkN_290 + fitFStiff_290(1,2);
plot(fkN_290,elastic,'--y','LineWidth',2);

%% select rig extension due force

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(fkN_289,deltamm_zero_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitFStiff_289=polyfit(fkN_289(ix),deltamm_zero_289(ix),1);
elastic=fitFStiff_289(1,1)*fkN_289 + fitFStiff_289(1,2);
plot(fkN_289,elastic,'--r','LineWidth',2);
