% evaluation of pumping
%--------------------------------------------------------------------------

name = input ('Experiment number/name? ','s'); %reads the name of the experiment

ts = input ('what is the record interval (in seconds)? ');

tsec=ti*ts; %calculates the duration of the experiment in seconds
tmin=tsec/60;
thour=tmin/60;

%--------------------------------------------------------------------------
%data smoothing
no = input ('select the number of points you want to use for running average filtering (i.e. 100) ');

b=zeros(size(no)); %prelocating matrix
for x=1:no %creates a vector for forward & reverse moving average filter 
    b(x)=1/no;
end

f=filtfilt(b,1,fi); %Zero-phase forward and reverse digital filtering
dx=filtfilt(b,1,dxi);
pc=filtfilt(b,1,pci);
DLT=filtfilt(b,1,DLTi);

% g=exist('z','var'); % check if DLT was already assigned during datareduction or not
% if g == 0 && RIG == 2
%     DLTi=varargin{:};
% else
% end
% 
% if nargin>5
%     DLT=filtfilt(b,1,DLTi);
% end

%--------------------------------------------------------------------------
%plot
figure
plot(tmin,fi,'--m')
hold on
plot(tmin,f,'r')
plot(tmin,pci,'--c')
plot(tmin,pc,'--g')
plot(tmin,dxi,'--c')
plot(tmin,dx,'--b')

%--------------------------------------------------------------------------
%conversion to V/mm

RIG = input ('Apparatus: rig1 (1) or rig2 (2)? '); % which rig was used?

if RIG==2
    [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction,DLTmm]=conversionfactorsRIG2(f,dx,pc,DLT);
else
    [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction]=conversionfactorsRIG1(f,dx,pc);
end

%--------------------------------------------------------------------------
%recalculate all data to kN and mm (DLTmm is calculated in
%conversionfactorsRIG2)

fkN=fV*fConkN;
pcMPa=pcV*pcCon;
dxmm=dxV*dxCon;


%--------------------------------------------------------------------------
%zeros the values in the begining of the experiment   

dxC=dxmm-dxmm(1,1);
fCkN=fkN-fkN(1,1);
pcC=pcMPa-pcMPa(1,1);

%if nargin>7
DLTC=DLTmm-DLTmm(1,1);
%end

%--------------------------------------------------------------------------
%calculate delta between DT-DC and DLT

deltamm=dxC-DLTC;

%--------------------------------------------------------------------------
%plot
figure
plot(tmin,DLTC)
hold on
plot(tmin,dxC,'m')

figure
plot(tmin,deltamm,'k')


