%% for glueing different records intervals together (requires thinking...)
ti=ti+81353;

x=1:3:141066;
x=x';
ti=x;%+29449;


txtwriteRIG ([{'ti','fi','pci','dxi','DLTi'}; ...
    num2cell(ti) num2cell(fi) num2cell(pci) num2cell(dxi) num2cell(DLTi)],['290_down.txt']);

%% evaluation of pumping
%--------------------------------------------------------------------------

%name = input ('Experiment number/name? ','s'); %reads the name of the experiment

ts = input ('what is the record interval (in seconds)? ');

tsec=ti*ts; %calculates the duration of the experiment in seconds
tmin=tsec/60;
thour=tmin/60;

%--------------------------------------------------------------------------
%data smoothing
no = input ('select the number of points you want to use for running average filtering (i.e. 100) ');

b=zeros(size(no)); %prelocating matrix
for x=1:no %creates a vector for forward & reverse moving average filter 
    b(x)=1/no;
end

f=filtfilt(b,1,fi); %Zero-phase forward and reverse digital filtering
dx=filtfilt(b,1,dxi);
pc=filtfilt(b,1,pci);
DLT=filtfilt(b,1,DLTi);

% g=exist('z','var'); % check if DLT was already assigned during datareduction or not
% if g == 0 && RIG == 2
%     DLTi=varargin{:};
% else
% end
% 
% if nargin>5
%     DLT=filtfilt(b,1,DLTi);
% end

%--------------------------------------------------------------------------
%plot
figure
plot(tmin,fi,'--m')
hold on
plot(tmin,f,'r')
plot(tmin,pci,'--c')
plot(tmin,pc,'--g')
plot(tmin,dxi,'--c')
plot(tmin,dx,'--b')


xlabel('time (min)');
ylabel('(mV)');

%--------------------------------------------------------------------------
%conversion to V/mm

RIG = input ('Apparatus: rig1 (1) or rig2 (2)? '); % which rig was used?

if RIG==2
    [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction,DLTmm]=conversionfactorsRIG2(f,dx,pc,DLT);
else
    [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction]=conversionfactorsRIG1(f,dx,pc);
end

%--------------------------------------------------------------------------
%recalculate all data to kN and mm (DLTmm is calculated in
%conversionfactorsRIG2)

fkN=fV*fConkN;
pcMPa=pcV*pcCon;
dxmm=dxV*dxCon;


%--------------------------------------------------------------------------
%zeros the values in the begining of the experiment   

dxC=dxmm-dxmm(1,1);
%fCkN=fkN;%-fkN(1,1);
%pcC=pcMPa;%-pcMPa(1,1);

%if nargin>7
DLTC=DLTmm-DLTmm(1,1);
%end

%--------------------------------------------------------------------------
%calculate delta between DT-DC and DLT

deltamm=dxC-DLTC;

%--------------------------------------------------------------------------
%plot

% figure
% plot(tsec,DLTC)
% hold on
% plot(tsec,dxC,'m')
% title('DLT vs. DC-DT');
% xlabel('time (s)');
% ylabel('vertical displacement (mm)');
% legend('DLT','DCDT','Location','NorthWest');
    
figure
plot(tsec,deltamm,'k')
title('DC-DT vs. DLT');
xlabel('time (sec)');
ylabel('DC-DT - DLT (sec)');

figure
plot(pcMPa,deltamm,'k')
title('DC-DT vs. DLT');
xlabel('confining pressure (MPa)');
ylabel('DC-DT - DLT (mm)');

figure
plotyy(tsec,deltamm,tsec,pcMPa)
xlabel('time (s)');
ylabel('DC-DT - DLT (mm)');

figure
plot(DLTC,fkN)
hold on
plot(dxC,fkN,'r')
xlabel('displacement (mm)');
ylabel('force (kN)');

% figure
% plot(tsec,fkN,'r')
% xlabel('time (s)');
% ylabel('force (kN)')

figure
plotyy(tsec,dxC,tsec,fkN)
xlabel('time (s)');
ylabel('displacement (mm)');
hold on
plot(tsec,DLTC,'m')

figure
plot(DLTC,pcMPa,'g')
hold on
plot(dxC,pcMPa,'c')
xlabel('displacement (mm)');
ylabel('Pc (MPa)')

% figure
% plot(tsec,DLTC,'c')
% hold on
% plot(tsec,dxC,'b')
% xlabel('time (s)');
% ylabel('displacement (mm)')

%% select rig extension due to Pc 1 (up to 160 MPa Pc usually)
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff1=polyfit(pcMPa(ix),deltamm(ix),1); 
elastic=fitPcStiff1(1,1)*pcMPa + fitPcStiff1(1,2);
plot(pcMPa,elastic,'r--');

%% select rig extension due to Pc 2 (more than 160 MPa Pc usually)
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff2=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff2(1,1)*pcMPa + fitPcStiff2(1,2);
plot(pcMPa,elastic,'g--');

%% select rig extension due to Pc 3 
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff3=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff3(1,1)*pcMPa + fitPcStiff3(1,2);
plot(pcMPa,elastic,'b--');

%% select rig extension due to Pc 1 unloading 
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff4=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff4(1,1)*pcMPa + fitPcStiff4(1,2);
plot(pcMPa,elastic,'r','LineWidth',2);

%% select rig extension due to Pc 2 unloading 
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff5=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff5(1,1)*pcMPa + fitPcStiff5(1,2);
plot(pcMPa,elastic,'g','LineWidth',2);

%% select rig extension due to Pc 3 unloading 
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff6=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff6(1,1)*pcMPa + fitPcStiff6(1,2);
plot(pcMPa,elastic,'b','LineWidth',2);
legend('Data','Stiff1','Stiff2','Stiff3','Stiff4','Stiff5','Stiff6','Location','NorthEast');


%% select elastic part of pumping 1
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit1e=polyfit(DLTC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fit1e(1,1)*DLTC + fit1e(1,2);
plot(DLTC,elastic,'k--');

%% select steady state of pumping 1
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit1s=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fit1s(1,1)*DLTC + fit1s(1,2);
plot(DLTC,elastic,'k--');

%% calculates intersect of "elastic" and "steady-state" of pumping 1
xintersect1=(fit1e(1,2)-fit1s(1,2))/(fit1s(1,1)-fit1e(1,1));
yintersect1=((fit1e(1,2)*fit1s(1,1))-(fit1s(1,2)*fit1e(1,1)))/(fit1s(1,1)-fit1e(1,1));


%% select displacementrate for pumping 1
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(tsec,DLTC,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

disrate1=polyfit(tsec(ix),DLTC(ix),1); % fit displacement rate for pumping1
elastic=disrate1(1,1)*tsec + disrate1(1,2);
plot(tsec,elastic,'k--');

%% select elastic part of pumping 2
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit2e=polyfit(DLTC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fit2e(1,1)*DLTC + fit2e(1,2);
plot(DLTC,elastic,'k--');

%% select steady state part of pumping 2
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit2s=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fit2s(1,1)*DLTC + fit2s(1,2);
plot(DLTC,elastic,'k--');

%% calculates intersect of "elastic" and "steady-state" of pumping 2

xintersect2=(fit2e(1,2)-fit2s(1,2))/(fit2s(1,1)-fit2e(1,1));
yintersect2=((fit2e(1,2)*fit2s(1,1))-(fit2s(1,2)*fit2e(1,1)))/(fit2s(1,1)-fit2e(1,1));


%% select displacementrate for pumping 2
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(tsec,DLTC,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

disrate2=polyfit(tsec(ix),DLTC(ix),1); % fit displacement rate for pumping1
elastic=disrate2(1,1)*tsec + disrate2(1,2);
plot(tsec,elastic,'k--');

%% select elastic part of run-in exp.
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitRUNe=polyfit(DLTC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fitRUNe(1,1)*DLTC + fitRUNe(1,2);
plot(DLTC,elastic,'k--');

%% select steady state part of run-in exp. (run-in slope in RIG)
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitRUNs=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitRUNs(1,1)*DLTC + fitRUNs(1,2);
plot(DLTC,elastic,'k--');

%% calculates intersect of "elastic" and "steady-state" of going thru lead

xintersectRUN=(fitRUNe(1,2)-fitRUNs(1,2))/(fitRUNs(1,1)-fitRUNe(1,1));
yintersectRUN=((fitRUNe(1,2)*fitRUNs(1,1))-(fitRUNs(1,2)*fitRUNe(1,1)))/(fitRUNs(1,1)-fitRUNe(1,1));


%% select displacementrate for run-in exp
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(tsec,DLTC,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

disrateRUN=polyfit(tsec(ix),DLTC(ix),1); % fit displacement rate for pumping1
elastic=disrateRUN(1,1)*tsec + disrateRUN(1,2);
plot(tsec,elastic,'k--');

%% select elastic part of the experiment
title('Click a polygon enclosing data for linear regression on the force curve with DLT');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitEXPe=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitEXPe(1,1)*DLTC + fitEXPe(1,2);
plot(DLTC,elastic,'k--');

%% calculates hit-point and the distance to HP

xintersectHP=(fitRUNs(1,2)-fitEXPe(1,2))/(fitEXPe(1,1)-fitRUNs(1,1));
yintersectHP=((fitRUNs(1,2)*fitEXPe(1,1))-(fitEXPe(1,2)*fitRUNs(1,1)))/(fitEXPe(1,1)-fitRUNs(1,1));

distancetoHP=xintersectHP-xintersectRUN
int1toHP=xintersectHP-xintersect1
int2toHP=xintersectHP-xintersect2
%% select yielding of sample
yieldEXPy=51.1 %kN
yieldEXPx=5.956 %mm

endOFexp= 8.16 %mm

elasticPart=yieldEXPx-xintersectHP
plasticPart=endOFexp-yieldEXPx

plot(yieldEXPx,yieldEXPy,'.g','MarkerSize',30)

%% calculate stress at "knick" & yield points

areaSample=(pi*(6.33*6.33))/4;
areaPiston=(pi*(6.5*6.5))/4;

stress1S=yintersect1*1000/areaSample; %MPa
stress1P=yintersect1*1000/areaPiston;

stress2S=yintersect2*1000/areaSample;
stress2P=yintersect2*1000/areaPiston;

stressRUNS=yintersectRUN*1000/areaSample;
stressRUNP=yintersectRUN*1000/areaPiston;

stressHPS=yintersectHP*1000/areaSample;
stressHPP=yintersectHP*1000/areaPiston;


%% plot to add Pc into the DLTC vs. FkN

plotyy(DLTC,fkN,DLTC,pcMPa)


%% yield point of pumping1

yield1=5.6 %kN
yield2=13.57
yieldRUN=18.8

%% get confining pressures for "knick-points"

pc1=151; 
pc2=372.1;
pcRUN=511;
pcHP=519.9; 

%%
figure
plot(pc1,stress1P-pc1,'.k','MarkerSize',30)
hold on
plot(pc2,stress2P-pc2,'.k','MarkerSize',30)
plot(pcRUN,stressRUNP-pcRUN,'.r','MarkerSize',30)
%plot(pcHP,stressHPP-pcHP,'.r','MarkerSize',30)
xlabel('Pc (MPa)');
ylabel('differential stress [piston area] (MPa)')


%%
%rename

DLT_290=DLT;
clear DLT

DLTC_290=DLTC;
clear DLTC

DLTi_290=DLTi;
clear DLTi

DLTmm_290=DLTmm;
clear DLTmm

Friction_290=Friction;
clear Friction

RIG_290=RIG;
clear RIG;

RigStiff_290=RigStiff;
clear RigStiff;

areaPiston_290=areaPiston;
clear areaPiston;

areaSample_290=areaSample;
clear areaSample;

deltamm_290=deltamm;
clear deltamm;

disrate1_290=disrate1;
clear disrate1;

disrate2_290=disrate2;
clear disrate2;

disrateRUN_290=disrateRUN;
clear disrateRUN;

distancetoHP_290=distancetoHP;
clear distancetoHP;

dx_290=dx;
clear dx

dxC_290=dxC;
clear dxC;

dxCon_290=dxCon;
clear dxCon

dxV_290=dxV;
clear dxV;

dxi_290=dxi;
clear dxi;

dxmm_290=dxmm;
clear dxmm;

elasticPart_290=elasticPart;
clear elasticPart;

endOFexp_290=endOFexp;
clear endOFexp;

f_290=f;
clear f

fkN_290=fkN;
clear fkN;

%fCkN_290=fCkN;
%clear fCkN;

fConkN_290=fConkN;
clear fConkN;

fV_290=fV;
clear fV

fi_290=fi;
clear fi;

fit1e_290=fit1e;
clear fit1e

fit1s_290=fit1s;
clear fit1s

fit2e_290=fit2e;
clear fit2e

fit2s_290=fit2s;
clear fit2s

fitEXPe_290=fitEXPe;
clear fitEXPe

fitRUNe_290=fitRUNe;
clear fitRUNe

fitRUNs_290=fitRUNs;
clear fitRUNs

fitPcStiff1_290=fitPcStiff1;
clear fitPcStiff1

fitPcStiff2_290=fitPcStiff2;
clear fitPcStiff2

fitPcStiff3_290=fitPcStiff3;
clear fitPcStiff3

fitPcStiff4_290=fitPcStiff4;
clear fitPcStiff4

fitPcStiff5_290=fitPcStiff5;
clear fitPcStiff5

fitPcStiff6_290=fitPcStiff6;
clear fitPcStiff6

int1toHP_290=int1toHP;
clear int1toHP

int2toHP_290=int2toHP;
clear int2toHP

no_290=no;
clear no

pc_290=pc;
clear pc

pc1_290=pc1;
clear pc1

pc2_290=pc2;
clear pc2

%pcC_290=pcC;
%clear pcC;

pcHP_290=pcHP;
clear pcHP

pcCon_290=pcCon;
clear pcCon;

pcMPa_290=pcMPa;
clear pcMPa;

pcRUN_290=pcRUN;
clear pcRUN

pcV_290=pcV;
clear pcV;

pci_290=pci;
clear pci;

plasticPart_290=plasticPart;
clear plasticPart

stress1P_290=stress1P;
clear stress1P

stress1S_290=stress1S;
clear stress1S

stress2P_290=stress2P;
clear stress2P

stress2S_290=stress2S;
clear stress2S

stressHPP_290=stressHPP;
clear stressHPP

stressHPS_290=stressHPS;
clear stressHPS

stressRUNP_290=stressRUNP;
clear stressRUNP

stressRUNS_290=stressRUNS;
clear stressRUNS

thour_290=thour;
clear thour

ti_290=ti;
clear ti

tmin_290=tmin;
clear tmin

ts_290=ts;
clear ts

tsec_290=tsec;
clear tsec

xintersect1_290=xintersect1;
clear xintersect1

xintersect2_290=xintersect2;
clear xintersect2

xintersectHP_290=xintersectHP;
clear xintersectHP

xintersectRUN_290=xintersectRUN;
clear xintersectRUN

yield1_290=yield1;
clear yield1

yield2_290=yield2;
clear yield2

yieldEXPx_290=yieldEXPx;
clear yieldEXPx

yieldEXPy_290=yieldEXPy;
clear yieldEXPy

yieldRUN_290=yieldRUN;
clear yieldRUN

yintersect1_290=yintersect1;
clear yintersect1

yintersect2_290=yintersect2;
clear yintersect2

yintersectHP_290=yintersectHP;
clear yintersectHP

yintersectRUN_290=yintersectRUN;
clear yintersectRUN

clear xx;
clear x;
clear yy;
clear name;
clear b;
clear ix;
clear elastic

