%% select elastic part of pumping DC-DT 1
%title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_289,fkN_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx1e=polyfit(dxC_289(ix),fkN_289(ix),1); %fit "elastic" part of pumping 1
elastic=fitDx1e(1,1)*dxC_289 + fitDx1e(1,2);
plot(dxC_289,elastic,'b--');

%% select steady state of pumping DC-DT 1

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_289,fkN_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx1s=polyfit(dxC_289(ix),fkN_289(ix),1); % fit steady state of pumping 1
elastic=fitDx1s(1,1)*dxC_289 + fitDx1s(1,2);
plot(dxC_289,elastic,'b--');

%% calculates intersect of "elastic" and "steady-state" of pumping 1
xintersectDx1=(fitDx1e(1,2)-fitDx1s(1,2))/(fitDx1s(1,1)-fitDx1e(1,1));
yintersectDx1=((fitDx1e(1,2)*fitDx1s(1,1))-(fitDx1s(1,2)*fitDx1e(1,1)))/(fitDx1s(1,1)-fitDx1e(1,1));


%% select elastic part of pumping DC-DT 2

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_289,fkN_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx2e=polyfit(dxC_289(ix),fkN_289(ix),1); %fit "elastic" part of pumping 1
elastic=fitDx2e(1,1)*dxC_289 + fitDx2e(1,2);
plot(dxC_289,elastic,'b--');

%% select steady state part of pumping DC-DT 2

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_289,fkN_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx2s=polyfit(dxC_289(ix),fkN_289(ix),1); % fit steady state of pumping 1
elastic=fitDx2s(1,1)*dxC_289 + fitDx2s(1,2);
plot(dxC_289,elastic,'b--');

%% calculates intersect of "elastic" and "steady-state" of pumping 2

xintersectDx2=(fitDx2e(1,2)-fitDx2s(1,2))/(fitDx2s(1,1)-fitDx2e(1,1));
yintersectDx2=((fitDx2e(1,2)*fitDx2s(1,1))-(fitDx2s(1,2)*fitDx2e(1,1)))/(fitDx2s(1,1)-fitDx2e(1,1));


%% select elastic part of run-in exp. DC-DT

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_289,fkN_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDxRUNe=polyfit(dxC_289(ix),fkN_289(ix),1); %fit "elastic" part of pumping 1
elastic=fitDxRUNe(1,1)*dxC_289 + fitDxRUNe(1,2);
plot(dxC_289,elastic,'b--');

%% select steady state part of run-in exp. DC-DT (run-in slope in RIG)

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_289,fkN_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDxRUNs=polyfit(dxC_289(ix),fkN_289(ix),1); % fit steady state of pumping 1
elastic=fitDxRUNs(1,1)*dxC_289 + fitDxRUNs(1,2);
plot(dxC_289,elastic,'b--');

%% calculates intersect of "elastic" and "steady-state" of going thru lead

xintersectDxRUN=(fitDxRUNe(1,2)-fitDxRUNs(1,2))/(fitDxRUNs(1,1)-fitDxRUNe(1,1));
yintersectDxRUN=((fitDxRUNe(1,2)*fitDxRUNs(1,1))-(fitDxRUNs(1,2)*fitDxRUNe(1,1)))/(fitDxRUNs(1,1)-fitDxRUNe(1,1));

%% select elastic part of the experiment DC-DT

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_289,fkN_289,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDxEXPe=polyfit(dxC_289(ix),fkN_289(ix),1); % fit steady state of pumping 1
elastic=fitDxEXPe(1,1)*dxC_289 + fitDxEXPe(1,2);
plot(dxC_289,elastic,'b--');

%% calculates hit-point and the distance to HP

xintersectDxHP=(fitDxRUNs(1,2)-fitDxEXPe(1,2))/(fitDxEXPe(1,1)-fitDxRUNs(1,1));
yintersectDxHP=((fitDxRUNs(1,2)*fitDxEXPe(1,1))-(fitDxEXPe(1,2)*fitDxRUNs(1,1)))/(fitDxEXPe(1,1)-fitDxRUNs(1,1));

distancetoDxHP=xintersectDxHP-xintersectDxRUN
int1toDxHP=xintersectDxHP-xintersectDx1
int2toDxHP=xintersectDxHP-xintersectDx2
%% select yielding of sample DC-DT
yieldDxEXPy=56.6 %kN
yieldDxEXPx=4.935 %mm

endOFexpDx= 6.921 %mm

elasticDxPart=yieldDxEXPx-xintersectDxHP
plasticDxPart=endOFexpDx-yieldDxEXPx

plot(yieldDxEXPx,yieldDxEXPy,'.c','MarkerSize',30)

%% calculate stress at "knick" & yield points

areaSample=(pi*(6.33*6.33))/4;
areaPiston=(pi*(6.5*6.5))/4;

stressDx1S=yintersectDx1*1000/areaSample; %MPa
stressDx1P=yintersectDx1*1000/areaPiston;

stressDx2S=yintersectDx2*1000/areaSample;
stressDx2P=yintersectDx2*1000/areaPiston;

stressDxRUNS=yintersectDxRUN*1000/areaSample;
stressDxRUNP=yintersectDxRUN*1000/areaPiston;

stressDxHPS=yintersectDxHP*1000/areaSample;
stressDxHPP=yintersectDxHP*1000/areaPiston;


%% plot to add Pc into the DC-DTC vs. fkN_289

plotyy(dxC_289,fkN_289,dxC_289,pcMPa_289)


%% yield point of pumping1

yieldDx1=5.984 %kN
yieldDx2=13.48
yieldDxRUN=19.6

%% get confining pressures for "knick-points"

pcDx1=137.7;%142.8; 
pcDx2=379.6;
pcRUNDx=510;
pcHPDx=526.9; 

%%
figure
plot(pcDx1,stressDx1P-pcDx1,'.k','MarkerSize',30)
hold on
plot(pcDx2,stressDx2P-pcDx2,'.k','MarkerSize',30)
plot(pcRUNDx,stressDxRUNP-pcRUNDx,'.r','MarkerSize',30)
%plot(pcHPDx,stressDxHPP-pcHPDx,'.r','MarkerSize',30)
xlabel('Pc (MPa)');
ylabel('differential stress [piston area] (MPa)')

figure
plot(pc1_289,stress1P_289-pc1_289,'.b','MarkerSize',30)
hold on
plot(pc2_289,stress2P_289-pc2_289,'.b','MarkerSize',30)
plot(pcRUN_289,stressRUNP_289-pcRUN_289,'.m','MarkerSize',30)
%plot(pcHPDx,stressDxHPP-pcHPDx,'.r','MarkerSize',30)
xlabel('Pc (MPa)');
ylabel('differential stress [piston area] (MPa)')

%% rename

distancetoDxHP_289=distancetoDxHP;
clear distancetoDxHP

elasticDxPart_289=elasticDxPart;
clear elasticDxPart

endOFexpDx_289=endOFexpDx;
clear endOFexpDx

fitDx1e_289=fitDx1e;
clear fitDx1e

fitDx1s_289=fitDx1s;
clear fitDx1s

fitDx2e_289=fitDx2e;
clear fitDx2e

fitDx2s_289=fitDx2s;
clear fitDx2s

fitDxEXPe_289=fitDxEXPe;
clear fitDxEXPe

fitDxRUNe_289=fitDxRUNe;
clear fitDxRUNe

fitDxRUNs_289=fitDxRUNe;
clear fitDxRUNe

pcDx1_289=pcDx1;
clear pcDx1

pcDx2_289=pcDx2;
clear pcDx1

pcHPDx_289=pcHPDx;
clear pcHPDx

pcRUNDx_289=pcRunDx;
clear pcRunDx

plasticDxPart_289=plasticDxPart;
clear plasticDxPart

stressDx1P_289=stressDx1P;
clear stressDx1P

stressDx1S_289=stressDx1S;
clear stressDx1S

stressDx2P_289=stressDx2P;
clear stressDx2P

stressDx2S_289=stressDx2S;
clear stressDx2S

stressDxHPP_289=stressDxHPP;
clear stressDxHPP

stressDxHPS_289=stressDxHPS;
clear stressDxHPS

stressDxRUNP_289=stressDxRUNP;
clear stressDxRUNP

stressDxRUNS_289=stressDxRUNS;
clear stressDxRUNS

xintersectDx1_289=xintersectDx1;
clear xintersectDx1

xintersectDx2_289=xintersectDx2;
clear xintersectDx2

xintersectDxHP_289=xintersectDxHP;
clear xintersectDxHP

xintersectDxRUN_289=xintersectDxRUN;
clear xintersectDxRUN

yieldDx1_289=yieldDx1;
clear yieldDx1

yieldDx2_289=yieldDx2;
clear yieldDx2

yieldDxEXPx_289=yieldDxEXPx;
clear yieldDxEXPx

yieldDxEXPy_289=yieldDxEXPy;
clear yieldDxEXPy

yieldDxRUN_289=yieldDxRUN;
clear yieldDxRUN

yintersectDx1_289=yintersectDx1;
clear yintersectDx1

yintersectDx2_289=yintersectDx2;
clear yintersectDx2

yintersectDxHP_289=yintersectDxHP;
clear yintersectDxHP

yintersectDxRUN_289=yintersectDxRUN;
clear yintersectDxRUN

