%% for glueing different records intervals together (requires thinking...)
ti=ti+94916;

x=0.5:0.5:7700;
x=x';
ti=x+18543;


txtwriteRIG ([{'ti','fi','pci','dxi','DLTi'}; ...
    num2cell(ti) num2cell(fi) num2cell(pci) num2cell(dxi) num2cell(DLTi)],['262_3.txt']);

%% evaluation of pumping
%--------------------------------------------------------------------------

name = input ('Experiment number/name? ','s'); %reads the name of the experiment

ts = input ('what is the record interval (in seconds)? ');

tsec=ti*ts; %calculates the duration of the experiment in seconds
tmin=tsec/60;
thour=tmin/60;

%--------------------------------------------------------------------------
%data smoothing
no = input ('select the number of points you want to use for running average filtering (i.e. 100) ');

b=zeros(size(no)); %prelocating matrix
for x=1:no %creates a vector for forward & reverse moving average filter 
    b(x)=1/no;
end

f=filtfilt(b,1,fi); %Zero-phase forward and reverse digital filtering
dx=filtfilt(b,1,dxi);
pc=filtfilt(b,1,pci);
DLT=filtfilt(b,1,DLTi);

% g=exist('z','var'); % check if DLT was already assigned during datareduction or not
% if g == 0 && RIG == 2
%     DLTi=varargin{:};
% else
% end
% 
% if nargin>5
%     DLT=filtfilt(b,1,DLTi);
% end

%--------------------------------------------------------------------------
%plot
figure
plot(tmin,fi,'--m')
hold on
plot(tmin,f,'r')
plot(tmin,pci,'--c')
plot(tmin,pc,'--g')
plot(tmin,dxi,'--c')
plot(tmin,dx,'--b')


xlabel('time (min)');
ylabel('(mV)');

%--------------------------------------------------------------------------
%conversion to V/mm

RIG = input ('Apparatus: rig1 (1) or rig2 (2)? '); % which rig was used?

if RIG==2
    [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction,DLTmm]=conversionfactorsRIG2(f,dx,pc,DLT);
else
    [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction]=conversionfactorsRIG1(f,dx,pc);
end

%--------------------------------------------------------------------------
%recalculate all data to kN and mm (DLTmm is calculated in
%conversionfactorsRIG2)

fkN=fV*fConkN;
pcMPa=pcV*pcCon;
dxmm=dxV*dxCon;


%--------------------------------------------------------------------------
%zeros the values in the begining of the experiment   

dxC=dxmm-dxmm(1,1);
%fCkN=fkN;%-fkN(1,1);
%pcC=pcMPa;%-pcMPa(1,1);

%if nargin>7
DLTC=DLTmm-DLTmm(1,1);
%end

%--------------------------------------------------------------------------
%calculate delta between DT-DC and DLT

deltamm=dxC-DLTC;

%--------------------------------------------------------------------------
%plot

% figure
% plot(tsec,DLTC)
% hold on
% plot(tsec,dxC,'m')
% title('DLT vs. DC-DT');
% xlabel('time (s)');
% ylabel('vertical displacement (mm)');
% legend('DLT','DCDT','Location','NorthWest');
    
figure
plot(tsec,deltamm,'k')
title('DC-DT vs. DLT');
xlabel('time (sec)');
ylabel('DC-DT - DLT (sec)');

figure
plot(pcMPa,deltamm,'k')
title('DC-DT vs. DLT');
xlabel('confining pressure (MPa)');
ylabel('DC-DT - DLT (mm)');

figure
plotyy(tsec,deltamm,tsec,pcMPa)
xlabel('time (s)');
ylabel('DC-DT - DLT (mm)');

figure
plot(DLTC,fkN)
hold on
plot(dxC,fkN,'r')
xlabel('displacement (mm)');
ylabel('force (kN)');

% figure
% plot(tsec,fkN,'r')
% xlabel('time (s)');
% ylabel('force (kN)')

figure
plotyy(tsec,dxC,tsec,fkN)
xlabel('time (s)');
ylabel('displacement (mm)');
hold on
plot(tsec,DLTC,'m')

figure
plot(DLTC,pcMPa,'g')
hold on
plot(dxC,pcMPa,'c')
xlabel('displacement (mm)');
ylabel('Pc (MPa)')

% figure
% plot(tsec,DLTC,'c')
% hold on
% plot(tsec,dxC,'b')
% xlabel('time (s)');
% ylabel('displacement (mm)')

%% select rig extension due to Pc 1 (up to 160 MPa Pc usually)
title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff1=polyfit(pcMPa(ix),deltamm(ix),1); 
elastic=fitPcStiff1(1,1)*pcMPa + fitPcStiff1(1,2);
plot(pcMPa,elastic,'r--');

%% select rig extension due to Pc 2 (more than 160 MPa Pc usually)

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff2=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff2(1,1)*pcMPa + fitPcStiff2(1,2);
plot(pcMPa,elastic,'g--');

%% select rig extension due to Pc 3 

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff3=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff3(1,1)*pcMPa + fitPcStiff3(1,2);
plot(pcMPa,elastic,'b--');


%% select rig extension due to Pc 1 unloading 

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff4=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff4(1,1)*pcMPa + fitPcStiff4(1,2);
plot(pcMPa,elastic,'r','LineWidth',2);

%% select rig extension due to Pc 2 unloading 

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff5=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff5(1,1)*pcMPa + fitPcStiff5(1,2);
plot(pcMPa,elastic,'g','LineWidth',2);

%% select rig extension due to Pc 3 unloading 

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff6=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff6(1,1)*pcMPa + fitPcStiff6(1,2);
plot(pcMPa,elastic,'b','LineWidth',2);


%% select rig extension due to Pc additional

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(pcMPa,deltamm,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitPcStiff7=polyfit(pcMPa(ix),deltamm(ix),1);
elastic=fitPcStiff7(1,1)*pcMPa + fitPcStiff7(1,2);
plot(pcMPa,elastic,'y','LineWidth',2);
legend('Data','Stiff1','Stiff2','Stiff3','Stiff4','Stiff5','Stiff6','Stiff7','Location','NorthEast');

%__________________________________________________________________________
%__________________________________________________________________________
%__________________________________________________________________________
%__________________________________________________________________________


%% select elastic part of pumping DLT 1
title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit1e=polyfit(DLTC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fit1e(1,1)*DLTC + fit1e(1,2);
plot(DLTC,elastic,'k--');

%% select steady state of pumping DLT 1

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit1s=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fit1s(1,1)*DLTC + fit1s(1,2);
plot(DLTC,elastic,'k--');

%% calculates intersect of "elastic" and "steady-state" of pumping 1
xintersect1=(fit1e(1,2)-fit1s(1,2))/(fit1s(1,1)-fit1e(1,1));
yintersect1=((fit1e(1,2)*fit1s(1,1))-(fit1s(1,2)*fit1e(1,1)))/(fit1s(1,1)-fit1e(1,1));


%% select elastic part of pumping DLT 2

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit2e=polyfit(DLTC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fit2e(1,1)*DLTC + fit2e(1,2);
plot(DLTC,elastic,'k--');

%% select steady state part of pumping DLT 2

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit2s=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fit2s(1,1)*DLTC + fit2s(1,2);
plot(DLTC,elastic,'k--');

%% calculates intersect of "elastic" and "steady-state" of pumping 2

xintersect2=(fit2e(1,2)-fit2s(1,2))/(fit2s(1,1)-fit2e(1,1));
yintersect2=((fit2e(1,2)*fit2s(1,1))-(fit2s(1,2)*fit2e(1,1)))/(fit2s(1,1)-fit2e(1,1));

%% select elastic part of pumping DLT 3

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit3e=polyfit(DLTC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fit3e(1,1)*DLTC + fit3e(1,2);
plot(DLTC,elastic,'k--');

%% select steady state part of pumping DLT 3

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fit3s=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fit3s(1,1)*DLTC + fit3s(1,2);
plot(DLTC,elastic,'k--');

%% calculates intersect of "elastic" and "steady-state" of pumping 3

xintersect3=(fit3e(1,2)-fit3s(1,2))/(fit3s(1,1)-fit3e(1,1));
yintersect3=((fit3e(1,2)*fit3s(1,1))-(fit3s(1,2)*fit3e(1,1)))/(fit3s(1,1)-fit3e(1,1));


%% select elastic part of run-in exp. DLT

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitRUNe=polyfit(DLTC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fitRUNe(1,1)*DLTC + fitRUNe(1,2);
plot(DLTC,elastic,'k--');

%% select steady state part of run-in exp. DTL (run-in slope in RIG)

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitRUNs=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitRUNs(1,1)*DLTC + fitRUNs(1,2);
plot(DLTC,elastic,'k--');

%% calculates intersect of "elastic" and "steady-state" of going thru lead

xintersectRUN=(fitRUNe(1,2)-fitRUNs(1,2))/(fitRUNs(1,1)-fitRUNe(1,1));
yintersectRUN=((fitRUNe(1,2)*fitRUNs(1,1))-(fitRUNs(1,2)*fitRUNe(1,1)))/(fitRUNs(1,1)-fitRUNe(1,1));

%% select elastic part of the experiment DLT

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(DLTC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitEXPe=polyfit(DLTC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitEXPe(1,1)*DLTC + fitEXPe(1,2);
plot(DLTC,elastic,'k--');

%% calculates hit-point and the distance to HP

xintersectHP=(fitRUNs(1,2)-fitEXPe(1,2))/(fitEXPe(1,1)-fitRUNs(1,1));
yintersectHP=((fitRUNs(1,2)*fitEXPe(1,1))-(fitEXPe(1,2)*fitRUNs(1,1)))/(fitEXPe(1,1)-fitRUNs(1,1));

distancetoHP=xintersectHP-xintersectRUN
int1toHP=xintersectHP-xintersect1
int2toHP=xintersectHP-xintersect2
int3toHP=xintersectHP-xintersect3
%% select yielding of sample DLT
yieldEXPy=118.5 %kN
yieldEXPx=4.11 %mm

endOFexp= 5.05 %mm

elasticPart=yieldEXPx-xintersectHP
plasticPart=endOFexp-yieldEXPx

plot(yieldEXPx,yieldEXPy,'.g','MarkerSize',30)

%% calculate stress at "knick" & yield points

areaSample=(pi*(6.33*6.33))/4;
areaPiston=(pi*(6.5*6.5))/4;

stress1S=yintersect1*1000/areaSample; %MPa intersect of elastic and steady state curves
stress1P=yintersect1*1000/areaPiston;

stress2S=yintersect2*1000/areaSample;
stress2P=yintersect2*1000/areaPiston;

stress3S=yintersect3*1000/areaSample;
stress3P=yintersect3*1000/areaPiston;

stressRUNS=yintersectRUN*1000/areaSample;
stressRUNP=yintersectRUN*1000/areaPiston;

stressHPS=yintersectHP*1000/areaSample;
stressHPP=yintersectHP*1000/areaPiston;

stressy1S=yield1*1000/areaSample; %MPa yielding
stressy1P=yield1*1000/areaPiston;

stressy2S=yield2*1000/areaSample;
stressy2P=yield2*1000/areaPiston;

stressy3S=yield3*1000/areaSample;
stressy3P=yield3*1000/areaPiston;

stressyRUNS=yieldRUN*1000/areaSample;
stressyRUNP=yieldRUN*1000/areaPiston;

stressyHPS=yieldHP*1000/areaSample;
stressyHPP=yieldHP*1000/areaPiston;


%% plot to add Pc into the DLTC vs. FkN

plotyy(DLTC,fkN,DLTC,pcMPa)


%% yield point of pumping1

yield1=23.57 %kN
yield1x=0.00041
yield2=32.4
yield2x=0.6955
yield3=45.09
yield3x=1.197
yieldRUN=50.24
yieldRUNx=1.709

hold on
plot(yield1x,yield1,'.r','MarkerSize',30)
plot(yield2x,yield2,'.r','MarkerSize',30)
plot(yield3x,yield3,'.r','MarkerSize',30)
plot(yieldRUNx,yieldRUN,'.r','MarkerSize',30)

%% get confining pressures for "yield-points"

pc1=683; %137
pc2=965;
pc3=1369;
pcRUN=1503;
pcHP=1491; 

%%
figure
plot(pc1,stress1P-pc1,'.k','MarkerSize',30)
hold on
plot(pc2,stress2P-pc2,'.k','MarkerSize',30)
plot(pc3,stress3P-pc3,'.k','MarkerSize',30)
plot(pcRUN,stressRUNP-pcRUN,'.r','MarkerSize',30)
%plot(pcHP,stressHPP-pcHP,'.r','MarkerSize',30)
xlabel('Pc (MPa)');
ylabel('differential stress [piston area] (MPa)')

%% select displacementrate for pumping 1
title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(tsec,DLTC,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

disrate1=polyfit(tsec(ix),DLTC(ix),1); % fit displacement rate for pumping1
elastic=disrate1(1,1)*tsec + disrate1(1,2);
plot(tsec,elastic,'k--');
%% select displacementrate for pumping 2
title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(tsec,DLTC,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

disrate2=polyfit(tsec(ix),DLTC(ix),1); % fit displacement rate for pumping1
elastic=disrate2(1,1)*tsec + disrate2(1,2);
plot(tsec,elastic,'k--');

%% select displacementrate for pumping 3
title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(tsec,DLTC,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

disrate3=polyfit(tsec(ix),DLTC(ix),1); % fit displacement rate for pumping1
elastic=disrate3(1,1)*tsec + disrate3(1,2);
plot(tsec,elastic,'k--');
%% select displacementrate for run-in exp
title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(tsec,DLTC,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

disrateRUN=polyfit(tsec(ix),DLTC(ix),1); % fit displacement rate for pumping1
elastic=disrateRUN(1,1)*tsec + disrateRUN(1,2);
plot(tsec,elastic,'k--');

%__________________________________________________________________________
%__________________________________________________________________________
%__________________________________________________________________________


%% move deltamm to zero

deltamm_zero=deltamm-0.4461; %MAX(deltamm); 
%%
figure
plot(fkN,deltamm_zero,'k')
xlabel('Force (kN)');
ylabel('rig extension (mm)');
%% select rig extension due to force

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(fkN,deltamm_zero,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitFStiff=polyfit(fkN(ix),deltamm_zero(ix),1);
elastic=fitFStiff(1,1)*fkN + fitFStiff(1,2);
plot(fkN,elastic,'--g','LineWidth',2);



%__________________________________________________________________________
%______!!!!____________DC-DT DATA________________!!!!______________________
%__________________________________________________________________________
%__________________________________________________________________________

%% select elastic part of pumping DC-DT 1
%title(name_262);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC_262,fkN_262,xx,yy);
else
   ix=1:length(f_262);
end
if isempty(find(ix)), ix=1:length(f_262); end  % take all

fitDx1e=polyfit(dxC_262(ix),fkN_262(ix),1); %fit "elastic" part of pumping 1
elastic=fitDx1e(1,1)*dxC_262 + fitDx1e(1,2);
plot(dxC_262,elastic,'b--');

%% select elastic part of pumping DC-DT 1
title(name);
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx1e=polyfit(dxC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fitDx1e(1,1)*dxC + fitDx1e(1,2);
plot(dxC,elastic,'b--');

%% select steady state of pumping DC-DT 1

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx1s=polyfit(dxC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitDx1s(1,1)*dxC + fitDx1s(1,2);
plot(dxC,elastic,'b--');

%% calculates intersect of "elastic" and "steady-state" of pumping 1
xintersect1=(fitDx1e(1,2)-fitDx1s(1,2))/(fitDx1s(1,1)-fitDx1e(1,1));
yintersect1=((fitDx1e(1,2)*fitDx1s(1,1))-(fitDx1s(1,2)*fitDx1e(1,1)))/(fitDx1s(1,1)-fitDx1e(1,1));


%% select elastic part of pumping DC-DT 2

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx2e=polyfit(dxC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fitDx2e(1,1)*dxC + fitDx2e(1,2);
plot(dxC,elastic,'b--');

%% select steady state part of pumping DC-DT 2

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDx2s=polyfit(dxC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitDx2s(1,1)*dxC + fitDx2s(1,2);
plot(dxC,elastic,'b--');

%% calculates intersect of "elastic" and "steady-state" of pumping 2

xintersect2=(fitDx2e(1,2)-fitDx2s(1,2))/(fitDx2s(1,1)-fitDx2e(1,1));
yintersect2=((fitDx2e(1,2)*fitDx2s(1,1))-(fitDx2s(1,2)*fitDx2e(1,1)))/(fitDx2s(1,1)-fitDx2e(1,1));


%% select elastic part of run-in exp. DC-DT

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDxRUNe=polyfit(dxC(ix),fkN(ix),1); %fit "elastic" part of pumping 1
elastic=fitDxRUNe(1,1)*dxC + fitDxRUNe(1,2);
plot(dxC,elastic,'b--');

%% select steady state part of run-in exp. DC-DT (run-in slope in RIG)

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDxRUNs=polyfit(dxC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitDxRUNs(1,1)*dxC + fitDxRUNs(1,2);
plot(dxC,elastic,'b--');

%% calculates intersect of "elastic" and "steady-state" of going thru lead

xintersectRUN=(fitDxRUNe(1,2)-fitDxRUNs(1,2))/(fitDxRUNs(1,1)-fitDxRUNe(1,1));
yintersectRUN=((fitDxRUNe(1,2)*fitDxRUNs(1,1))-(fitDxRUNs(1,2)*fitDxRUNe(1,1)))/(fitDxRUNs(1,1)-fitDxRUNe(1,1));

%% select elastic part of the experiment DC-DT

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(dxC,fkN,xx,yy);
else
   ix=1:length(f);
end
if isempty(find(ix)), ix=1:length(f); end  % take all

fitDxEXPe=polyfit(dxC(ix),fkN(ix),1); % fit steady state of pumping 1
elastic=fitDxEXPe(1,1)*dxC + fitDxEXPe(1,2);
plot(dxC,elastic,'b--');

%% calculates hit-point and the distance to HP

xintersectHP=(fitDxRUNs(1,2)-fitDxEXPe(1,2))/(fitDxEXPe(1,1)-fitDxRUNs(1,1));
yintersectHP=((fitDxRUNs(1,2)*fitDxEXPe(1,1))-(fitDxEXPe(1,2)*fitDxRUNs(1,1)))/(fitDxEXPe(1,1)-fitDxRUNs(1,1));

distancetoHP=xintersectHP-xintersectRUN
int1toHP=xintersectHP-xintersect1
int2toHP=xintersectHP-xintersect2
%% select yielding of sample DC-DT
yieldEXPy=55 %kN
yieldEXPx=5.302 %mm

endOFexp= 7.38 %mm

elasticPart=yieldEXPx-xintersectHP
plasticPart=endOFexp-yieldEXPx

plot(yieldEXPx,yieldEXPy,'.g','MarkerSize',30)

%% calculate stress at "knick" & yield points

areaSample=(pi*(6.33*6.33))/4;
areaPiston=(pi*(6.5*6.5))/4;

stress1S=yintersect1*1000/areaSample; %MPa
stress1P=yintersect1*1000/areaPiston;

stress2S=yintersect2*1000/areaSample;
stress2P=yintersect2*1000/areaPiston;

stressRUNS=yintersectRUN*1000/areaSample;
stressRUNP=yintersectRUN*1000/areaPiston;

stressHPS=yintersectHP*1000/areaSample;
stressHPP=yintersectHP*1000/areaPiston;


%% plot to add Pc into the DC-DTC vs. FkN

plotyy(dxC,fkN,dxC,pcMPa)


%% yield point of pumping1

yield1=5.671 %kN
yield2=12.77
yieldRUN=19.04

%% get confining pressures for "knick-points"

pc1=142.8; %137
pc2=380.5;
pcRUN=510;
pcHP=526.9; 

%%
figure
plot(pc1,stress1P-pc1,'.k','MarkerSize',30)
hold on
plot(pc2,stress2P-pc2,'.k','MarkerSize',30)
plot(pcRUN,stressRUNP-pcRUN,'.r','MarkerSize',30)
%plot(pcHP,stressHPP-pcHP,'.r','MarkerSize',30)
xlabel('Pc (MPa)');
ylabel('differential stress [piston area] (MPa)')


%__________________________________________________________________________
%__________________________________________________________________________
%__________________________________________________________________________



%%
%rename

DLT_262=DLT;
clear DLT

DLTC_262=DLTC;
clear DLTC

DLTi_262=DLTi;
clear DLTi

DLTmm_262=DLTmm;
clear DLTmm

Friction_262=Friction;
clear Friction

RIG_262=RIG;
clear RIG;

RigStiff_262=RigStiff;
clear RigStiff;

areaPiston_262=areaPiston;
clear areaPiston;

areaSample_262=areaSample;
clear areaSample;

deltamm_262=deltamm;
clear deltamm;

deltamm_zero_262=deltamm_zero;
clear deltamm_zero;

disrate1_262=disrate1;
clear disrate1;

disrate2_262=disrate2;
clear disrate2;

disrate3_262=disrate3;
clear disrate3;

disrateRUN_262=disrateRUN;
clear disrateRUN;

distancetoHP_262=distancetoHP;
clear distancetoHP;

dx_262=dx;
clear dx

dxC_262=dxC;
clear dxC;

dxCon_262=dxCon;
clear dxCon

dxV_262=dxV;
clear dxV;

dxi_262=dxi;
clear dxi;

dxmm_262=dxmm;
clear dxmm;

elasticPart_262=elasticPart;
clear elasticPart;

endOFexp_262=endOFexp;
clear endOFexp;

f_262=f;
clear f

fkN_262=fkN;
clear fkN;

%fCkN_262=fCkN;
%clear fCkN;

fConkN_262=fConkN;
clear fConkN;

fV_262=fV;
clear fV

fi_262=fi;
clear fi;

fit1e_262=fit1e;
clear fit1e

fit1s_262=fit1s;
clear fit1s

fit2e_262=fit2e;
clear fit2e

fit2s_262=fit2s;
clear fit2s

fit3e_262=fit3e;
clear fit3e

fit3s_262=fit3s;
clear fit3s

fitEXPe_262=fitEXPe;
clear fitEXPe

fitFStiff_262=fitFStiff;
clear fitFStiff

fitRUNe_262=fitRUNe;
clear fitRUNe

fitRUNs_262=fitRUNs;
clear fitRUNs

fitPcStiff1_262=fitPcStiff1;
clear fitPcStiff1

fitPcStiff2_262=fitPcStiff2;
clear fitPcStiff2

fitPcStiff3_262=fitPcStiff3;
clear fitPcStiff3

fitPcStiff4_262=fitPcStiff4;
clear fitPcStiff4

fitPcStiff5_262=fitPcStiff5;
clear fitPcStiff5

fitPcStiff6_262=fitPcStiff6;
clear fitPcStiff6

fitPcStiff7_262=fitPcStiff7;
clear fitPcStiff7

int1toHP_262=int1toHP;
clear int1toHP

int2toHP_262=int2toHP;
clear int2toHP

int3toHP_262=int3toHP;
clear int3toHP

no_262=no;
clear no

pc_262=pc;
clear pc

pc1_262=pc1;
clear pc1

pc2_262=pc2;
clear pc2

pc3_262=pc3;
clear pc3

%pcC_262=pcC;
%clear pcC;

pcHP_262=pcHP;
clear pcHP

pcCon_262=pcCon;
clear pcCon;

pcMPa_262=pcMPa;
clear pcMPa;

pcRUN_262=pcRUN;
clear pcRUN

pcV_262=pcV;
clear pcV;

pci_262=pci;
clear pci;

plasticPart_262=plasticPart;
clear plasticPart

stress1P_262=stress1P;
clear stress1P

stress1S_262=stress1S;
clear stress1S

stress2P_262=stress2P;
clear stress2P

stress2S_262=stress2S;
clear stress2S

stress3P_262=stress3P;
clear stress3P

stress3S_262=stress3S;
clear stress3S

stressHPP_262=stressHPP;
clear stressHPP

stressHPS_262=stressHPS;
clear stressHPS

stressRUNP_262=stressRUNP;
clear stressRUNP

stressRUNS_262=stressRUNS;
clear stressRUNS

thour_262=thour;
clear thour

ti_262=ti;
clear ti

tmin_262=tmin;
clear tmin

ts_262=ts;
clear ts

tsec_262=tsec;
clear tsec

xintersect1_262=xintersect1;
clear xintersect1

xintersect2_262=xintersect2;
clear xintersect2

xintersect3_262=xintersect3;
clear xintersect3

xintersectHP_262=xintersectHP;
clear xintersectHP

xintersectRUN_262=xintersectRUN;
clear xintersectRUN

yield1_262=yield1;
clear yield1

yield1x_262=yield1x;
clear yield1x

yield2_262=yield2;
clear yield2

yield2x_262=yield2x;
clear yield2x

yield3_262=yield3;
clear yield3

yield3x_262=yield3x;
clear yield3x

yieldEXPx_262=yieldEXPx;
clear yieldEXPx

yieldEXPy_262=yieldEXPy;
clear yieldEXPy

yieldRUN_262=yieldRUN;
clear yieldRUN

yieldRUNx_262=yieldRUNx;
clear yieldRUNx

yintersect1_262=yintersect1;
clear yintersect1

yintersect2_262=yintersect2;
clear yintersect2

yintersect3_262=yintersect3;
clear yintersect3

yintersectHP_262=yintersectHP;
clear yintersectHP

yintersectRUN_262=yintersectRUN;
clear yintersectRUN

clear xx;
clear x;
clear yy;
clear name;
clear b;
clear ix;
clear elastic

%% rename

distancetoDxHP_262=distancetoDxHP;
clear distancetoDxHP

elasticDxPart_262=elasticDxPart;
clear elasticDxPart

endOFexpDx_262=endOFexpDx;
clear endOFexpDx

fitDx1e_262=fitDx1e;
clear fitDx1e

fitDx1s_262=fitDx1s;
clear fitDx1s

fitDx2e_262=fitDx2e;
clear fitDx2e

fitDx2s_262=fitDx2s;
clear fitDx2s

fitDxEXPe_262=fitDxEXPe;
clear fitDxEXPe

fitDxRUNe_262=fitDxRUNe;
clear fitDxRUNe

fitDxRUNs_262=fitDxRUNe;
clear fitDxRUNe

pcDx1_262=pcDx1;
clear pcDx1

pcDx2_262=pcDx2;
clear pcDx1

pcHPDx_262=pcHPDx;
clear pcHPDx

pcRUNDx_262=pcRunDx;
clear pcRunDx

plasticDxPart_262=plasticDxPart;
clear plasticDxPart

stressDx1P_262=stressDx1P;
clear stressDx1P

stressDx1S_262=stressDx1S;
clear stressDx1S

stressDx2P_262=stressDx2P;
clear stressDx2P

stressDx2S_262=stressDx2S;
clear stressDx2S

stressDxHPP_262=stressDxHPP;
clear stressDxHPP

stressDxHPS_262=stressDxHPS;
clear stressDxHPS

stressDxRUNP_262=stressDxRUNP;
clear stressDxRUNP

stressDxRUNS_262=stressDxRUNS;
clear stressDxRUNS

xintersectDx1_262=xintersectDx1;
clear xintersectDx1

xintersectDx2_262=xintersectDx2;
clear xintersectDx2

xintersectDxHP_262=xintersectDxHP;
clear xintersectDxHP

xintersectDxRUN_262=xintersectDxRUN;
clear xintersectDxRUN

yieldDx1_262=yieldDx1;
clear yieldDx1

yieldDx2_262=yieldDx2;
clear yieldDx2

yieldDxEXPx_262=yieldDxEXPx;
clear yieldDxEXPx

yieldDxEXPy_262=yieldDxEXPy;
clear yieldDxEXPy

yieldDxRUN_262=yieldDxRUN;
clear yieldDxRUN

yintersectDx1_262=yintersectDx1;
clear yintersectDx1

yintersectDx2_262=yintersectDx2;
clear yintersectDx2

yintersectDxHP_262=yintersectDxHP;
clear yintersectDxHP

yintersectDxRUN_262=yintersectDxRUN;
clear yintersectDxRUN