function [xintersect,yintersect,fit1]=HPA(ti,fi,dxi)
%--------------------------------------------------------------------------
%hitpoint definition: plots raw force & displacement curve, allows selecting
%of force curve segments for linear regresion fit and calculates the x-intersection
%of these curves. based on pcsd.m from the polyLX toolbox programmed by
%Ondrej Lexa 2001. Matej Pec 2010

    
%plot raw force vs. time data
plot(ti,fi,'r');
hold on
% plot(ti,dxi,'b');

%--------------------------------------------------------------------------
%fit chosen data (run-in)
title('Click the polygon enclosing data for linear regression on the force curve, start with the RUN-IN curve:');
[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(ti,fi,xx,yy);
else
   ix=1:length(fi);
end
if isempty(find(ix)), ix=1:length(fi); end  % take all

fit1=polyfit(ti(ix),fi(ix),1);
runin=fit1(1,1)*ti + fit1(1,2);
%y=polyval(p,fi);
plot(ti,runin,'k--');

%--------------------------------------------------------------------------
%fit chosen data ("elastic" slope)

[xx,yy]=getpoly;
if length(xx)>2
   ix=inpolygon(ti,fi,xx,yy);
else
   ix=1:length(fi);
end
if isempty(find(ix)), ix=1:length(fi); end  % take all

fit2=polyfit(ti(ix),fi(ix),1);
elastic=fit2(1,1)*ti + fit2(1,2);
%y=polyval(p,fi);
plot(ti,elastic,'k--');

hold off
% a=-1/p(1);
% n0=exp(p(2));

%--------------------------------------------------------------------------
%find x & y intersection of the lines

xintersect=(fit1(1,2)-fit2(1,2))/(fit2(1,1)-fit1(1,1));
yintersect=((fit1(1,2)*fit2(1,1))-(fit2(1,2)*fit1(1,1)))/(fit2(1,1)-fit1(1,1));


