function [tsec,tmin,thour,tday,dxC,dxStiffCor,pcC,pcMPa,fCkN]=RIG2Aconversion(ti,fi,dxi,pci)

%read conversion parameters for the specific rig and does basic data
%treatement for further calculations - modified to analyze analogue chart records, Matej Pec 2010

%last check 1.6.2010 - absolute values of Pc are irrelevant from analougue
%chart record

%--------------------------------------------------------------------------
% first discards data before hit-point, then  reduces the data points : especially
% for strain rate calculations it is usefull to take at one data point each minute
% - experiment with this number, in future this should be done by some smarter function

% xintersect=int32(xintersect); %rounds up x-intersection
% 
% fi=fi(xintersect:length(fi),:); %discards data before hit-point
% dxi=dxi(xintersect:length(dxi),:);
% pci=pci(xintersect:length(pci),:);
% ti=ti(xintersect:length(ti),:);
% 
no = input ('data reduction, every Xth point will be considered ');

f=fi(1:no:numel(fi));
dx=dxi(1:no:numel(dxi));
pc=pci(1:no:numel(pci));
t=ti(1:no:numel(ti));

%--------------------------------------------------------------------------
%reads conversion factors (V / chart unit)
chspeed = input ('what is the chartspeed? (mm/minute) ');
tsecall=(600/chspeed)*t; %1mm/min = 0.1/60 cm/sec; calculates the duration of the experiment in seconds 

convd = input ('Displacement record setting: 500 mV / 1 V full scale (0.5 / 1) '); 
convd = 2*0.0252155*convd; % Dx = 500mV FS: 100 divisions = 2.52155 mm
dxmm=dx*convd;

convp = input ('Confining pressure setting: 2 V / 5 V full scale (2 / 5) ');
convp = 2.516295*convp; % Pc = 2V FS: 1 division = 5.03259MPa
pcMPa =pc*convp;

convf = input ('Force record setting: 1 V / 2 V / 5 V full scale (1 / 2 / 5) ');
convf = 0.220344*convf; % F = 1V FS: 100 divisions = 22034.4 N = 22.0344 kN
fkN= f * convf;

RigStiff= 5.0486e-3; %(mm/kN) seems to be enormous?!?
Friction= 0.95; %no data available yet
    
% %--------------------------------------------------------------------------
% %recalculate all data to MPa, kN and mm
% 
% fkN=fV*fConkN;
% pcMPa=pcV*pcCon;
% dxmm=dxV*dxCon;

%--------------------------------------------------------------------------
%takes first numbers in the matrix as hit-point values (defined from
%function HP.m) 

fHPkN=fkN(1,1);
pcHP=pcMPa(1,1);
dxHP=dxmm(1,1);
tHP=tsecall(1,1);

%--------------------------------------------------------------------------
%hit-point substraction   

dxC=dxmm-dxHP;
fCkN=fkN-fHPkN;
pcC=pcMPa-pcHP;
tsec=tsecall-tHP;

%calculating minutes, hours and days for plotting purposes from hit-point
tmin=tsec/60;
thour=tmin/60;
tday=thour/24;

 %--------------------------------------------------------------------------
 %least squares linefit thru uncorrected displacement if the data is noisy
 
 linefit= input ('Do you want to fit a linear regresion curve thru displacement (not corrected for rig stiffness) (y/n)? ' ,'s');
 
 if linefit == 'y';
     fit = polyfit(tsec,dxC,1);
     dxfit=fit(1,1)*tsec + fit(1,2);
     dxfit=dxfit-min(dxfit); %forces line thru 0, works rather strange in some cases
     
     figure %plots dx and linear regresion fit line thru dx
     hold on
     
     plot(tmin,dxC,'b')
     title('blue=displacement uncorrected; red=line fit');
     xlabel('Time (min)');
     ylabel('Displacemnt - HP (mm)');
     
     plot (tmin,dxfit,'r')
     hold off
     
     %which displacement will you use?
     fitorno= input ('Do you want use the linear regresion curve instead of original displacement data for further calculations (y/n)? ' ,'s');
     
     if fitorno== 'y';
         dxC=dxfit;
     else
     end
     
 else
 end
 
%--------------------------------------------------------------------------
%rig disortion dxC -> dxStiffCor
    
 dxStiffCor=zeros(size(dx));%prelocating matrix for higher calculation speed   
 for x=1:length(dx)
     dxStiffCor(x) = dxC(x)-fCkN(x)*RigStiff;
 end
     
%--------------------------------------------------------------------------
%friction correction (using uncorrected dx) fC -> fCor 

frict=zeros(size(f));  
for x=1:length(dx)
   frict(x)=fCkN(x)-dx(x)*Friction;
end