function [tHPfromstart,ts,tsec,tmin,thour,tday,fCkN,dxC,dxStiffCor,pcC,pcMPa,fHPkN,RigStiff,Friction,frict,pcCon,dxCon,fConkN,slopemm,slopekN,slopeMPa,DLTC,DLTStiffCor]=conversions(ti,tiorig,f,dx,pc,xintersect,RIG,slopef,slopedx,slopepc,varargin)

%read conversion parameters for the specific rig and does basic data
%treatement for further calculations, Matej Pec 2010

%--------------------------------------------------------------------------
%calculates the duration of the experiment in seconds

ts = input ('what is the record interval (in seconds)? ');

tsecall=ti*ts; %calculates the duration of the experiment in seconds

tHPfromstart=(xintersect*ts)-(tiorig(1,1)*ts); %calculates the time of the hitpoint from the start of data logging

%--------------------------------------------------------------------------
%call function conversionfactorsRIGX with stored conversion factors for
%individual rigs

 if RIG==2;
    DLT=varargin{:};
    [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction,DLTmm]=conversionfactorsRIG2(f,dx,pc,DLT);
 else
     [fV,dxV,pcV,fConkN,pcCon,dxCon,RigStiff,Friction]=conversionfactorsRIG1(f,dx,pc);
 end
    
%--------------------------------------------------------------------------
%recalculate all data to kN and mm (DLTmm is calculated in
%conversionfactorsRIG2)

fkN=fV*fConkN;
pcMPa=pcV*pcCon;
dxmm=dxV*dxCon;
slopekN=(slopef/1000)*fConkN; %timedependent slope 
slopemm=(slopedx/1000)*dxCon;
slopeMPa=(slopepc/1000)*pcCon;
%--------------------------------------------------------------------------
%takes first numbers in the matrix as hit-point values (defined from function HP.m) 

fHPkN=fkN(1,1);
pcHP=pcMPa(1,1);
dxHP=dxmm(1,1);
tHP=tsecall(1,1);

if nargin>10 %check if DLT input is used
DLTHP=DLTmm(1,1);
end
%--------------------------------------------------------------------------
%hit-point substraction   

dxC=dxmm-dxHP;
fCkN=fkN-fHPkN;
pcC=pcMPa-pcHP;
tsec=tsecall-tHP;

if nargin>10
DLTC=DLTmm-DLTHP;
end

%calculating minutes, hours and days for plotting purposes from hit-point
tmin=tsec/60;
thour=tmin/60;
tday=thour/24;

%--------------------------------------------------------------------------
%least squares linefit thru uncorrected displacement to see changes in
%displacement rate

fit = polyfit(tsec,dxC,1);
dxfit=fit(1,1)*tsec + fit(1,2);
dxfit=dxfit-min(dxfit); %forces line thru 0
     
figure %plots dx and linear regresion fit line thru dx
hold on
     
plot(tmin,dxC,'b')

plot (tmin,dxfit,'r')
title('linearity of motor speed check');
xlabel('time (min)');
ylabel('displacemnt (mm)');
legend('displacement (NOT corrected for rig stiffnes','least squares line-fit forced thru 0','Location','NorthWest');

hold off
 
%--------------------------------------------------------------------------
%rig disortion dxC -> dxCor
 
if nargin>10 %check if rig2 data are used
 
 DLTStiffCor=zeros(size(DLTC));%prelocating matrix for higher calculation speed   
 for x=1:length(dx)
     DLTStiffCor(x) = DLTC(x)-fCkN(x)*RigStiff;
 end
 
 dxStiffCor=zeros(size(dx));%prelocating matrix for higher calculation speed
 for x=1:length(dx)
     dxStiffCor(x) = dxC(x)-fCkN(x)*RigStiff;
 end
  
else
    dxStiffCor=zeros(size(dx));%prelocating matrix for higher calculation speed   
 for x=1:length(dx)
     dxStiffCor(x) = dxC(x)-fCkN(x)*RigStiff;
 end
end
%--------------------------------------------------------------------------
%friction correction (using uncorrected dx) fC -> fCor 

frict=zeros(size(f));  
for x=1:length(dx)
    frict(x)=fCkN(x)-dx(x)*Friction;
end