function fnm=txtwriteRIG(dsc,fnm)
%TXTWRITE Write ASCII delimited file with column headers.
%  Syntax: txtwrite(dsc,[fnm])
%   dsc   - could be cell array or double array
%

% This file is part of polyLX.
% 
% polyLX is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% polyLX is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with polyLX.  If not, see <http://www.gnu.org/licenses/>.

% polyLX - MATLAB toolbox for microstructure analyses
% Copyright (C) 2010 Ondrej Lexa

if nargin<1
   help txtwrite
   return
end

if nargin<2
   [filename, path]=uiputfile('*.*', 'Export data');
   if filename==0
       fnm=[];
       return
   end
   fnm=[path filename];
end

if isa(dsc,'double')
 dsc=num2cell(dsc);
end


dlm = '\t';
dlm = sprintf(dlm); % Handles special characters.
NEWLINE = sprintf('\r\n');

fid = fopen(fnm ,'w');
if fid == (-1), error(['Could not write to file ' fnm]); end

[br,bc]=size(dsc);

for i = 1:br
  for j = 1:bc
       hhh=dsc{i,j};
       if ~ischar(hhh)
          str = num2str(hhh);
       else
          str=['"' hhh '"'];
       end
       fwrite(fid, str, 'uchar');    
       if(j < bc)
           fwrite(fid, dlm, 'uchar');    
       end
   end
   fwrite(fid, NEWLINE, 'char');
end
fclose(fid);
